{ config, pkgs, ... }:
{
  # GTK Theme
  gtk = {
    enable = true;

    iconTheme = {
      name = "Yaru";
    };

    theme = {
      name = "Yaru";
    };

    cursorTheme = {
      name = "Yaru";
    };

    gtk3.extraConfig = {
      Settings = ''
        gtk-application-prefer-dark-theme=1
      '';
    };

    gtk4.extraConfig = {
      Settings = ''
        gtk-application-prefer-dark-theme=1
      '';
    };
  };

  dconf = {
    enable = true;
    settings = {
      "org/gnome/desktop/background" = {
        show-desktop-icons = true;
      };

      "org/gnome/desktop/applications/file-manager" = {
        exec = "nautilus";
      };

      "org/gnome/desktop/interface" = {
        color-scheme = "prefer-dark";
        font-name = "Hack Nerd Font 11";
        monospace-font-name = "Hack Nerd Font Mono 10";
        document-font-name = "Hack Nerd Font 11";
      };

      # Pinned apps
      # add more by listing them with `dconf read /org/gnome/shell/favorite-apps | sed "s/,//g; s/'/\"/g"` then copy pasting the output here
      "org/gnome/shell" = {
        favorite-apps = [
          "zen.desktop"
          "org.gnome.Nautilus.desktop"
          "com.spotify.Client.desktop"
          "vesktop.desktop"
          "FFPWA-01JN0Y8Z6KR644ZG4CV0QAYPRF.desktop"
          "FFPWA-01JN0YCBNR29VRW8GN5YBZSQ7W.desktop"
          "FFPWA-01JN13AEFTM76WVC6TSBYC5AXN.desktop"
          "code.desktop"
          "org.gnome.Ptyxis.desktop"
        ];
      };

      # GNOME Terminal settings
      "org/gnome/Console" = {
        use-system-font = false;
        custom-font = "Hack Nerd Font 13";
        theme = "night";
      };

      # Set wallpaper
      "org/gnome/desktop/background" = {
        picture-uri-dark = "file:///usr/share/backgrounds/Ubuntu_Legacy_by_Aaron_J_Prisk_dark.png";
        picture-uri = "file:///usr/share/backgrounds/Ubuntu_Legacy_by_Aaron_J_Prisk_light.png";
        picture-options = "zoom";
        primary-color = "#000000";
      };
    };
  };

}
